def şuna_ekle(x):
	def bunu_ekle(y):
		return x+y
	return bunu_ekle
	
habunu_ekle=şuna_ekle(10) #bunu_ekle döndürür
print(habunu_ekle(40))
#fonksiyon fonksiyon döndürdü
#dönen fonksiyona isim verdik habunu... diye
#dönen fonksiyon y parametresi alır oda burda 40